libkeymap 2.6.3 Library to manage the Linux keymaps

Data Structures | Enumerations
context.h File Reference

Header contains flags, keywords and context structure. More...

`#include <linux/kd.h>`
`#include <linux/keyboard.h>`
`#include <keymap/array.h>`

Go to the source code of this file.

## Data Structures
struct | lk_kbdiacr
| Copy of struct kbdiacruc. More...

## Enumerations
enum | lk_flags { LK_FLAG_UNICODE_MODE = (1 << 1) , LK_FLAG_CLEAR_COMPOSE = (1 << 2) , LK_FLAG_CLEAR_STRINGS = (1 << 3) , LK_FLAG_PREFER_UNICODE = (1 << 4) }
| Parser flags that are set outside the library. More...
enum | lk_keywords { LK_KEYWORD_KEYMAPS = (1 << 1) , LK_KEYWORD_ALTISMETA = (1 << 2) , LK_KEYWORD_CHARSET = (1 << 3) , LK_KEYWORD_STRASUSUAL = (1 << 4) }
| Keywords used in keymap files. More...

## Detailed Description

Header contains flags, keywords and context structure.

## Enumeration Type Documentation

## ◆ lk_flags

enum lk_flags

Parser flags that are set outside the library.

Enumerator
LK_FLAG_UNICODE_MODE | Unicode mode
LK_FLAG_CLEAR_COMPOSE | Compose
LK_FLAG_CLEAR_STRINGS | Strings
LK_FLAG_PREFER_UNICODE | Prefer unicode

## ◆ lk_keywords

enum lk_keywords

Keywords used in keymap files.

Enumerator
LK_KEYWORD_KEYMAPS | 'Keymaps' keyword
LK_KEYWORD_ALTISMETA | 'Alt-is-meta' keyword
LK_KEYWORD_CHARSET | 'Charset' keyword
LK_KEYWORD_STRASUSUAL | 'String as usual' keyword